> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udexpansionpanel.md).

# New-UDExpansionPanel

### Sinopsis

Crea un panel de expansión.

### Sintaxis

```powershell
New-UDExpansionPanel [[-Id] <String>] [[-Title] <String>] [[-Icon] <Object>] [[-Children] <ScriptBlock>] [-Active] [[-ClassName] <String>] [<CommonParameters>]
```

### Descripción

Crea un panel de expansión. Un panel de expansión puede ocultar contenido que no es necesario ver cuando se carga una página.

### Parámetros

#### -Id

El ID del componente. Por defecto, es un GUID aleatorio.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Title

El título que se muestra en el encabezado del panel de expansión.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon Un icono para mostrar en el encabezado del panel de expansión.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ChildrenComponentes secundarios que se colocarán dentro del panel de expansión.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Active \[\<SwitchParameter>]        Whether the expansion panel is currently active (open).Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameRequired?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS > Creates an expansion panel with some content.New-UDExpansionPanel -Title "Hello" -Id 'expContent' -Content {    New-UDElement -Tag 'div' -id 'expContentDiv' -Content { "Hello" }}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udexpansionpanel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
